Bug 551027

Summary: Review Request: nicotine+ - A client for the SoulSeek filesharing network
Product: [Fedora] Fedora Reporter: Mohamed El Morabity <pikachu.2014>
Component: Package ReviewAssignee: MERCIER Jonathan <bioinfornatics>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bioinfornatics, fedora-package-review, notting, susi.lehtola
Target Milestone: ---Flags: bioinfornatics: fedora‑review+
tibbs: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.2.14-6.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-04 20:36:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mohamed El Morabity 2009-12-28 10:18:25 EST
Spec URL: http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+-1.2.14-1.fc12.src.rpm

Description: Nicotine+ is a client for the SoulSeek filesharing network. It was "forked" from Nicotine, Hyriand's Soulseek client, which in turn was forked from the PySoulSeek project by Alexander Kanavin.

This is my first package and I need a sponsor.
Comment 1 Mohamed El Morabity 2010-01-01 13:34:22 EST
Some update:
Spec URL: http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+-1.2.14-2.fc12.src.rpm

I've added a patch to make nicotine+ call xdg-open as the default file browser/player/navigator (instead of rox/xmms/firefox). I added therefore a Requires on xdg-utils.
Once the bug tracker of Nicotine+ will be back (some server problem), I'll submit the remaining patches upstream.

rpmlint and mock are still happy ^^.
Comment 2 Mohamed El Morabity 2010-01-01 17:20:42 EST
New update:
Spec URL: http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+-1.2.14-3.fc12.src.rpm

I finally updated the previous patch to enable also audio effects playing using GStreamer by default (instead of calling play, other choices available in the settings of the application were ogg123 and GStreamer). Since the application allows the user to use custom sound effects by selecting his own audio files, Gstreamer seems to be the better choice to let users playing a large amount of media types.
gstreamer-python was already set as a Requires previously.
Comment 3 Mohamed El Morabity 2010-01-02 18:15:34 EST
Another update:
Spec URL: http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+-1.2.14-4.fc12.src.rpm

The Nicotine+ bug tracker works now, so I submitted the patches used in my SRPM upstream; the URLs to the corresponding open tickets are given in comments in the .spec file for each patch. The patch correcting the .desktop file provided was accepted upstream :-) :
   http://www.nicotine-plus.org/changeset?old_path=%2F&old=1353&new_path=%2F&new=1353
The other patches are waiting a review.

I also discovered a bug in the application making help unavailable. I made a patch to correct this issue, and I submitted it also (see comments in .spec). This is the reason why I updated my SRPM.
Comment 4 Mohamed El Morabity 2010-01-14 10:32:41 EST
A small correction... I dropped the patch to remove shebangs for a sed command instead:
Spec URL: http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/nicotine+/nicotine+-1.2.14-5.fc12.src.rpm
Comment 5 Mohamed El Morabity 2010-01-17 17:48:14 EST
Just a few words to say that all my patches submitted upstream got accepted (some with little adaptations) :-)
   http://www.nicotine-plus.org/ticket/532
   http://www.nicotine-plus.org/ticket/538
   http://www.nicotine-plus.org/ticket/539
Comment 6 MERCIER Jonathan 2010-01-17 18:49:10 EST
I have checked Nicotine package:
- with rpmlint:                                                    [OK]
- koji build --scratch dist-f12 nicotine+-1.2.14-5.fc12.src.rpm    [OK]
- koji build --scratch dist-f11 nicotine+-1.2.14-5.fc12.src.rpm    [OK]

Now i wait newest release with this patch integrated
Comment 7 MERCIER Jonathan 2010-01-18 21:01:56 EST
* MUST rpmlint                                                 [OK]
_____________________________________________________________

$ rpmlint -i rpmbuild/SRPMS/nicotine+-1.2.14-5.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
_____________________________________________________________

$ rpmlint -i rpmbuild/RPMS/noarch/nicotine+-1.2.14-5.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

_____________________________________________________________
* MUST: The package must be named according to the  Package Naming Guidelines                                                     [OK]
* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec                                                   [OK]
* MUST: The package must meet the  Packaging Guidelines
Looks fine. With some patch for a better integration           [OK]
* MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines .
GPLv3+                                                         [OK]
* MUST: The License field in the package spec file must match the actual license.
checked in COPYING file and website                            [OK]
* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.                              [OK]
* MUST: The spec file must be written in American English.     [OK]
* MUST: The spec file for the package MUST be legible.         [OK]
* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the  Source URL Guidelines for how to deal with this.
_____________________________________________________________
$ wget http://129.125.101.92/nicotine+/nicotine+-1.2.14.tar.bz2
$ md5sum nicotine+-1.2.14.tar.bz2 rpmbuild/SOURCES/nicotine+-1.2.14.tar.bz2 
c43dfbd8e759d0228fa9d1e0525cf993  nicotine+-1.2.14.tar.bz2
c43dfbd8e759d0228fa9d1e0525cf993  rpmbuild/SOURCES/nicotine+-1.2.14.tar.bz2
_____________________________________________________________
* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. see comment 6                  [OK]
* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
                                                               [OK]
* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
                                                               [OK]
* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.                            [NA]
* MUST: Packages must NOT bundle copies of system libraries.   [OK]
* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.                                          [NA]
* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.                                         [NA]
* MUST: A Fedora package must not list a file more than once in the spec file's %files listings.                                               [NA]
* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.                                            [OK]
* MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).                             [OK]
* MUST: Each package must consistently use macros.             [OK]
* MUST: The package must contain code, or permissable content. [OK]
* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).             [NA]
* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present                                  [OK]
* MUST: Header files must be in a -devel package.              [NA]
* MUST: Static libraries must be in a -static package.         [NA]
* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).                       [NA]
* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
                                                               [NA]
* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}                                                      [NA]
* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.                         [NA]
* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
- The desktop file are validate by desktop-file-validate in %install section
                                                               [OK]
* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [OK]
* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).                                          [OK]
* MUST: All filenames in rpm packages must be valid UTF-8.     [OK]

FINALLY: Running it. All work (just need open port tcp 2234 on your firewall and NAT)
Comment 8 Mohamed El Morabity 2010-01-19 08:51:42 EST
New Package CVS Request
=======================
Package Name: nicotine+
Short Description: A client for the SoulSeek filesharing network
Owners: melmorabity
Branches: F11 F12
InitialCC:
Comment 9 Jason Tibbitts 2010-01-19 13:20:13 EST
CVS done (by process-cvs-requests.py).
Comment 10 Fedora Update System 2010-01-19 14:50:48 EST
nicotine+-1.2.14-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nicotine+-1.2.14-5.fc11
Comment 11 Fedora Update System 2010-01-19 14:52:43 EST
nicotine+-1.2.14-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nicotine+-1.2.14-5.fc12
Comment 12 Fedora Update System 2010-01-20 19:07:18 EST
nicotine+-1.2.14-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nicotine+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0828
Comment 13 Fedora Update System 2010-01-20 19:09:10 EST
nicotine+-1.2.14-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nicotine+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0842
Comment 14 Susi Lehtola 2010-01-25 02:28:22 EST
- Nothing owns
 %{_datadir}/%{alt_name}/
so you need to add
 %dir {_datadir}/%{alt_name}/

- I personally dislike entries like
 %{_bindir}/*
in spec files, since 1. you have no idea of what files are provided by the package. Please be more verbose and replace it with
 %{_bindir}/nicotine*
Comment 15 Fedora Update System 2010-01-25 07:55:56 EST
nicotine+-1.2.14-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nicotine+-1.2.14-6.fc12
Comment 16 Fedora Update System 2010-01-25 08:04:14 EST
nicotine+-1.2.14-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nicotine+-1.2.14-6.fc11
Comment 17 Fedora Update System 2010-01-25 20:07:19 EST
nicotine+-1.2.14-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nicotine+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1075
Comment 18 Fedora Update System 2010-01-25 20:07:24 EST
nicotine+-1.2.14-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nicotine+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1077
Comment 19 Fedora Update System 2010-02-04 20:36:07 EST
nicotine+-1.2.14-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-02-04 20:50:28 EST
nicotine+-1.2.14-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.